stages:
    - 🚧 Build
    - 🚀 Delivery

🚧 Build:
    stage: 🚧 Build
    tags:
        - docker
    image: node:16.13.0
    script:
        - yarn install
        - yarn build

pages:
    image: node:16.13.0
    stage: 🚀 Delivery
    tags:
        - docker
    script:   
        - yarn install
        - yarn build
        - mkdir -p ${CI_PROJECT_DIR}/public
        - cp -r ${CI_PROJECT_DIR}/build/* ${CI_PROJECT_DIR}/public
    artifacts:
        paths:
            - public
